FullWrtStruct::Entry Struct Reference documentation

FullWrtStruct::Entry Struct Referencefinal

the definition of a zone in a FullWrite file More...

`#include <FullWrtStruct.hxx>`

Inheritance diagram for FullWrtStruct::Entry:

## Public Member Functions
| Entry (MWAWInputStreamPtr const &input)
| ~Entry () final
bool | valid () const
| returns true if the entry and the input is valid
void | update ()
| create a inputstream, ... if needed
void | closeDebugFile ()
| write the debug file, ...
libmwaw::DebugFile & | getAsciiFile ()
| returns a reference to the ascii file
bool | operator== (const Entry &a) const
| basic operator==
bool | operator!= (const Entry &a) const
| basic operator!=
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor
| MWAWEntry (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry const &)=default
MWAWEntry & | operator= (MWAWEntry &&)=default
virtual | ~MWAWEntry ()
| destructor
void | setBegin (long off)
| sets the begin offset
void | setLength (long l)
| sets the zone size
void | setEnd (long off)
| sets the end offset
long | begin () const
| returns the begin offset
long | end () const
| returns the end offset
long | length () const
| returns the length of the zone
bool | valid () const
| returns true if the zone length is positive
bool | operator== (const MWAWEntry &a) const
| basic operator==
bool | operator!= (const MWAWEntry &a) const
| basic operator!=
bool | isParsed () const
| a flag to know if the entry was parsed or not
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...
std::string const & | type () const
| returns the type of the entry
bool | hasType (std::string const &typ) const
| returns true if the type entry == type
void | setName (std::string const &nam)
| sets the name of the entry
std::string const & | name () const
| name of the entry
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name
int | id () const
| returns the id
void | setId (int newId)
| sets the id
std::string const & | extra () const
| retrieves the extra string
void | setExtra (std::string const &s)
| sets the extra string

## Public Attributes
MWAWInputStreamPtr | m_input
| the input
int | m_nextId
| the next entry id
int | m_fileType
| the zone type id find in DStruct
int | m_typeId
| the type id (find in FZoneFlags)
int | m_values [3]
| some unknown values
librevenge::RVNGBinaryData | m_data
| the main data ( if the entry comes from several zone )
std::shared_ptr< libmwaw::DebugFile > | m_asciiFile
| the debug file

## Private Member Functions
| Entry (Entry const &)=delete
Entry & | operator= (Entry const &)=delete

## Friends
std::ostream & | operator<< (std::ostream &o, Entry const &entry)
| operator<<

## Additional Inherited Members
Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry.
long | m_length
| the size of the entry
std::string | m_type
| the entry type
std::string | m_name
| the name
std::string | m_extra
| an extra string
int | m_id
| an identificator
bool | m_parsed
| a bool to store if the entry is or not parsed

## Detailed Description

the definition of a zone in a FullWrite file

## Constructor & Destructor Documentation

## ◆ Entry() [1/2]

FullWrtStruct::Entry::Entry | ( | MWAWInputStreamPtr const & | input | ) |
| explicit

Referenced by Entry(), operator!=(), operator<<, operator=(), and operator==().

## ◆ ~Entry()

FullWrtStruct::Entry::~Entry | ( |  | ) |
| final

## ◆ Entry() [2/2]

FullWrtStruct::Entry::Entry | ( | Entry const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ closeDebugFile()

void FullWrtStruct::Entry::closeDebugFile | ( |  | ) |

write the debug file, ...

Referenced by ~Entry().

## ◆ getAsciiFile()

libmwaw::DebugFile & FullWrtStruct::Entry::getAsciiFile | ( |  | ) |

returns a reference to the ascii file

## ◆ operator!=()

bool FullWrtStruct::Entry::operator!= | ( | const Entry & | a | ) | const
| inline

basic operator!=

## ◆ operator=()

Entry & FullWrtStruct::Entry::operator= | ( | Entry const & |  | ) |
| privatedelete

## ◆ operator==()

bool FullWrtStruct::Entry::operator== | ( | const Entry & | a | ) | const

basic operator==

Referenced by operator!=().

## ◆ update()

void FullWrtStruct::Entry::update | ( |  | ) |

create a inputstream, ... if needed

## ◆ valid()

bool FullWrtStruct::Entry::valid | ( |  | ) | const

returns true if the entry and the input is valid

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Entry const & | entry )
| friend

operator<<

## Member Data Documentation

## ◆ m_asciiFile

std::shared_ptr<libmwaw::DebugFile> FullWrtStruct::Entry::m_asciiFile

the debug file

Referenced by closeDebugFile(), Entry(), getAsciiFile(), and update().

## ◆ m_data

librevenge::RVNGBinaryData FullWrtStruct::Entry::m_data

the main data ( if the entry comes from several zone )

Referenced by closeDebugFile(), Entry(), and update().

## ◆ m_fileType

int FullWrtStruct::Entry::m_fileType

the zone type id find in DStruct

Referenced by Entry(), operator<<, and operator==().

## ◆ m_input

MWAWInputStreamPtr FullWrtStruct::Entry::m_input

the input

Referenced by Entry(), operator==(), update(), and valid().

## ◆ m_nextId

int FullWrtStruct::Entry::m_nextId

the next entry id

Referenced by Entry(), and operator==().

## ◆ m_typeId

int FullWrtStruct::Entry::m_typeId

the type id (find in FZoneFlags)

Referenced by Entry(), operator<<, operator==(), and update().

## ◆ m_values

int FullWrtStruct::Entry::m_values[3]

some unknown values

Referenced by Entry(), operator<<, and operator==().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx